import greenfoot.*;

/**
 * These are the fast fish, and they are worth more points.
 * 
 * Kathryn and Grace
 * May 19th, 2016
 */
public class FastFish extends Actor
{
    /**
     * Act - do whatever the FastFish wants to do. 
     */
    public void act() 
    {
        turnAtEdge();
        randomTurn();
        move(10);
    } 
     /**
     * Check whether we are at the edge of the world. If we are, turn a bit.
     * If not, do nothing.
     */
    public void turnAtEdge()
    {
        if ( isAtEdge() ) 
        {
            turn(28);
        }
    }
    /**
     * Randomly decide to turn from the current direction, or not. If we turn
     * turn a bit left or right by a random degree.
     */
    public void randomTurn()
    {
        if (Greenfoot.getRandomNumber(100) > 90) 
        {
            turn(Greenfoot.getRandomNumber(90)-45);
        }
    }

}
