import greenfoot.*;

/**
 * The shark is very hungry, and is trying to eat as many fish as it possibly can!
 * 
 * Kathryn and Grace
 * May 19th, 2016
 */
public class Shark extends Actor
{
    /**
     * Act - do whatever the Shark wants to do. 
     */
    public void act() 
    {
        checkKeypress();
        checkCollision();
    }    
    /**
     * Control the shark movement!
     */
    public void checkKeypress()
    {
         if (Greenfoot.isKeyDown("up")) 
        {
            setLocation(getX(), getY()-8);
        }
        
        if (Greenfoot.isKeyDown("down")) 
        {
            setLocation(getX(), getY()+8);
        }
        
        if (Greenfoot.isKeyDown("right")) 
        {
            setLocation(getX()+4, getY());
        }
        
        if (Greenfoot.isKeyDown("left")) 
        {
            setLocation(getX()-4, getY());
        }
    }
    /**
     * Eat the fish!
     */
    public void checkCollision()
    {
        if ( isTouching(FastFish.class) ) 
        {
            removeTouching(FastFish.class);
            Ocean ocean = (Ocean)getWorld();
            ocean.addScore(10);
        }
         if ( isTouching(SlowFish.class) ) 
        {
            removeTouching(SlowFish.class);
            Ocean ocean = (Ocean)getWorld();
            ocean.addScore(5);
        }
    }
}
